GEThttps://api.breeze.blue/v1/balance

Get account balance

Get the current credit balance and recent top-ups.

Authentication

API key: Send your Breeze Developer API key with the xi-api-key header.

Headers

FieldTypeDescription
xi-api-keyrequiredstringYour Breeze Developer API key. See authentication.

Example request

python import os from breeze_blue import BreezeBlue client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"]) balance = client.account.balance() print(balance["balance"]) typescript import { BreezeBlueClient } from "@breeze.blue/sdk"; const client = new BreezeBlueClient({ apiKey: process.env.BREEZE_API_KEY!, }); const balance = await client.account.balance(); console.log(balance.balance); curl curl "https://api.breeze.blue/v1/balance" \ -H "xi-api-key: $BREEZE_API_KEY"
import os

from breeze_blue import BreezeBlue

client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])

balance = client.account.balance()

print(balance["balance"])

Response

Account balance.

Content types: application/json

Response headers:

  • x-breeze-api-key-id: Public API key identifier used to authenticate the request, when an API key was used.
{
  "balance": 0.5,
  "balance_millicredits": 1,
  "topups": [
    {
      "topup_id": "topup_id_01h",
      "amount": 0.5,
      "status": "active",
      "created_at": "2026-04-02T10:15:30Z"
    }
  ]
}